Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev1
Class propertyDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--uk.co.westhawk.examplev1.propertyDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants, java.awt.event.WindowListener

public class propertyDialog
extends javax.swing.JDialog
implements java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.awt.event.WindowListener

The class propertyDialog is used to set the bean properties. A user can add an actionListener to be notified when the "Apply" or "OK" button is pressed.

The user can configure the host name, the port number, the community name, the socket type and the update interval.

The "Try it" button activates the IsHostReachableBean, who will probe the configured host and signals the UI since when the host was up.

Version:
  $Revision: 1.2 $ $Date: 2002/10/22 16:48:39 $
Author:
  Birgit Arkesteijn
See Also:
  `IsHostReachableBean`, Serialized Form

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected java.util.Vector` | `actionPerformedListener`
`protected javax.swing.JButton` | `applyButton`
`protected javax.swing.JButton` | `cancelButton`
`protected java.lang.String` | `community`
`protected javax.swing.JTextField` | `communityText`
`protected java.awt.GridBagLayout` | `gridBagLayout1`
`protected java.lang.String` | `host`
`protected javax.swing.JTextField` | `hostText`
`protected java.lang.String` | `interval`
`protected javax.swing.JTextField` | `intervalText`
`protected javax.swing.JLabel` | `label1`
`protected javax.swing.JLabel` | `label2`
`protected javax.swing.JLabel` | `label3`
`protected javax.swing.JLabel` | `label4`
`protected javax.swing.JLabel` | `messageLabel`
`protected javax.swing.JButton` | `okButton`
`protected java.lang.String` | `port`
`protected javax.swing.JTextField` | `portText`
`protected IsHostReachableBean` | `reachableBean`
`protected java.lang.String` | `socketType`
`protected javax.swing.JButton` | `tryButton`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`propertyDialog(javax.swing.JFrame frame)` The constructor to create a non-modal JDialog with the title "Property JDialog".

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Implements the ActionListener
`void` | `addActionListener(java.awt.event.ActionListener l)` Adds an action listener to be notified when the "Apply" or "OK" button is pressed.
`protected void` | `fireActionPerformed(int id, java.lang.String comm, int modif)` Fires a action event when the "Apply" or "OK" button is pressed.
`java.lang.String` | `getCommunityName()` Returns the community name string
`java.lang.String` | `getHost()` Returns the host string
`java.lang.String` | `getPort()` Returns the port string
`java.lang.String` | `getSocketType()` Returns the socket type string
`java.lang.String` | `getUpdateInterval()` Returns the update interval string
`void` | `propertyChange(java.beans.PropertyChangeEvent e)` Implements the PropertyChangeListener
`void` | `removeActionListener(java.awt.event.ActionListener l)` Removes an action listener.
`void` | `setCommunityName(java.lang.String s)` Sets the community name string.
`void` | `setHost(java.lang.String s)` Sets the host string.
`void` | `setPort(java.lang.String s)` Sets the port string.
`void` | `setSocketType(java.lang.String newVar)` Sets the socket type string.
`void` | `setUpdateInterval(java.lang.String s)` Sets the update interval string.
`void` | `windowActivated(java.awt.event.WindowEvent evt)`
`void` | `windowClosed(java.awt.event.WindowEvent evt)`
`void` | `windowClosing(java.awt.event.WindowEvent evt)`
`void` | `windowDeactivated(java.awt.event.WindowEvent evt)`
`void` | `windowDeiconified(java.awt.event.WindowEvent evt)`
`void` | `windowIconified(java.awt.event.WindowEvent evt)`
`void` | `windowOpened(java.awt.event.WindowEvent evt)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### gridBagLayout1

    protected java.awt.GridBagLayout gridBagLayout1

### label1

    protected javax.swing.JLabel label1

### label2

    protected javax.swing.JLabel label2

### label3

    protected javax.swing.JLabel label3

### label4

    protected javax.swing.JLabel label4

### hostText

    protected javax.swing.JTextField hostText

### portText

    protected javax.swing.JTextField portText

### communityText

    protected javax.swing.JTextField communityText

### intervalText

    protected javax.swing.JTextField intervalText

### messageLabel

    protected javax.swing.JLabel messageLabel

### reachableBean

    protected IsHostReachableBean reachableBean

### tryButton

    protected javax.swing.JButton tryButton

### okButton

    protected javax.swing.JButton okButton

### cancelButton

    protected javax.swing.JButton cancelButton

### applyButton

    protected javax.swing.JButton applyButton

### host

    protected java.lang.String host

### port

    protected java.lang.String port

### community

    protected java.lang.String community

### interval

    protected java.lang.String interval

### socketType

    protected java.lang.String socketType

### actionPerformedListener

    protected java.util.Vector actionPerformedListener

Constructor Detail

### propertyDialog

    public propertyDialog(javax.swing.JFrame frame)

  The constructor to create a non-modal JDialog with the title "Property JDialog".
  Parameters:
    `frame` - the parent frame

Method Detail

### setHost

    public void setHost(java.lang.String s)

  Sets the host string.
  Parameters:
    `s` - the string

### setPort

    public void setPort(java.lang.String s)

  Sets the port string.
  Parameters:
    `s` - the string

### setCommunityName

    public void setCommunityName(java.lang.String s)

  Sets the community name string.
  Parameters:
    `s` - the string

### setUpdateInterval

    public void setUpdateInterval(java.lang.String s)

  Sets the update interval string.
  Parameters:
    `s` - the string

### setSocketType

    public void setSocketType(java.lang.String newVar)

  Sets the socket type string.
  Parameters:
    `s` - the socket type

### getSocketType

    public java.lang.String getSocketType()

  Returns the socket type string
  Returns:
    the socket type

### getHost

    public java.lang.String getHost()

  Returns the host string
  Returns:
    the string

### getPort

    public java.lang.String getPort()

  Returns the port string
  Returns:
    the string

### getCommunityName

    public java.lang.String getCommunityName()

  Returns the community name string
  Returns:
    the string

### getUpdateInterval

    public java.lang.String getUpdateInterval()

  Returns the update interval string
  Returns:
    the string

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Implements the ActionListener
  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Implements the PropertyChangeListener
  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Adds an action listener to be notified when the "Apply" or "OK" button is pressed.
  See Also:
    `removeActionListener(java.awt.event.ActionListener)`

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  Removes an action listener.
  See Also:
    `addActionListener(java.awt.event.ActionListener)`

### fireActionPerformed

    protected void fireActionPerformed(int id,
                                       java.lang.String comm,
                                       int modif)

  Fires a action event when the "Apply" or "OK" button is pressed.
  See Also:
    `removeActionListener(java.awt.event.ActionListener)`, `addActionListener(java.awt.event.ActionListener)`, `ActionEvent`, `ActionListener`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent evt)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent evt)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent evt)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent evt)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent evt)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent evt)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent evt)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD